Get all billing controls

get

/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/BillingControl

Request

Path Parameters
  • This is the hash key of the attributes which make up the composite key for the Contracts resource and used to uniquely identify an instance of Contracts. The client should not generate the hash key value. Instead, the client should query on the Contracts collection resource in order to navigate to a specific instance of Contracts to get the hash key.
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables:

    • BillingControlExtAltKey: Finds the billing contro ld with the specified billing control external alternate key.
      Finder Variables:
      • ExternalReferenceKey; string.
      • ExternalSourceKey; string.
    • PrimaryKey: Finds the billing control with the specifed billing control ID and major version.
      Finder Variables:
      • BillingControlId; integer; The billing control ID.
      • MajorVersion; integer; The major version.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • ActiveFlag; boolean; Indicates whether the billing control is active.
    • BillingControlId; integer; The unique identifier of the billing control.
    • EndDate; string; The date when the billing control ends.
    • ExternalReferenceKey; string; The reference key in the external source.
    • ExternalSourceKey; string; The external source key of the billing control.
    • HardLimitAmount; number; The hard limit for the billing control.
    • MajorVersion; integer; The contract version of the billing control.
    • RbsElementId; integer; The identifier of the Resource Breakdown structure Element for which Billing control is defined.
    • SoftLimitAmount; number; The soft limit for the billing control.
    • StartDate; string; The date when the billing control starts.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : contracts-BillingControl
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : contracts-BillingControl-item-response
Type: object
Show Source
Back to Top

Examples

The following example shows how to get all contracts billing control by submitting a GET request on the REST resource using cURL.

cURL Command

curl -u <username:password> \ -X GET https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/BillingControl

Example of Response Body

The following shows the contents of the response body in JSON format.
{
  "items": [
    {
      "Id": 100000016879729,
      "MajorVersion": 1,
      "ExternalSource": null,
      "ExternalKey": null,
      "InvConvRateTypeName": "Spot",
      "InvConvRateDateTypeName": "Transaction date",
      "OrgName": "Vision Operations",
      "OrgId": 204,
      "ContractTypeName": "Sell : Project lines",
      "ContractClass": "CONTRACT",
      "ContractTypeId": 104,
      "ContractNumber": "zBI_BLP5",
      "ContractNumberModifier": null,
      "Cognomen": "zBI_BLP5",
      "BuyOrSell": "S",
      "PartyId": 1004,
      "PartyName": "Hilman and Associates",
      "InvOrganizationId": 204,
      "StsCode": "DRAFT",
      "CurrencyCode": "USD",
      "StartDate": "2010-04-05",
      "EndDate": null,
      "TrnCode": null,
      "SupplierId": null,
      "SupplierSiteId": null,
      "InvConvRateType": "Spot",
      "InvConvRateDateType": "TRANSACTION",
      "InvConvRateDate": null,
      "InvTrxTypeId": 4,
      "InvTrxTypeName": null,
      "InvPrepayTrxTypeId": null,
      "InvPrepayTrxTypeName": null,
      "BillToAccountId": 1004,
      "BillToAccount": "Hilman and Associates",
      "BillToAccountNumber": "1004",
      "BillToSiteUseId": 1017,
      "BillToSiteUseLocation": "Tulsa (OPS)",
      "BillToAddress": "1230 East 60th Street South,OK",
      "ShipToAccountId": 1004,
      "ShipToAccount": "Hilman and Associates",
      "ShipToAccountNumber": "1004",
      "ShipToSiteUseId": 1018,
      "ShipToSiteUseLocation": "Tulsa (OPS)",
      "ShipToAddress": "1230 East 60th Street South,OK",
      "ShipToAccountDescription": "Hilman and Associates",
      "SoldToAccountId": 1004,
      "SoldToAccount": "Hilman and Associates",
      "SoldToAccountNumber": "1004",
      "SoldToSiteId": 1030,
      "SoldToNumber": "San Jose (OPS)",
      "SoldToAddress": "320 N First St,SAN JOSE, CA 95113",
      "SoldToAccountDescription": "Hilman and Associates",
      "ShipInvOrgId": null,
      "RecvInvOrgId": null,
      "LegalEntityId": 204,
      "OutputTaxClassificationCode": null,
      "DateApproved": null,
      "DatetimeCancelled": null,
      "DateSigned": null,
      "DateTerminated": null,
      "TerminateCancelSource": null,
      "ContributionPercent": 1,
      "BillSequence": 1,
      "OverallRiskCode": null,
      "ShortDescription": null,
      "Description": "zBI_BLP5",
      "HoldReasonCode": null,
      "HoldUntilDate": null,
      "AmendmentEffectiveDate": null,
      "TaxExemptionControl": "S",
      "ExemptCertificateNumber": null,
      "ExemptReasonCode": "Standard",
      "ProjectEnabledFlag": true,
      "OutputTaxSetId": 204,
      "PartyObjectType": "OKX_PARTY",
      "PrimaryLedgerId": 1,
      "CustomerPartyId": 1004,
      "CustomerPartySiteId": 1018,
      "GeneratedInvoiceStatus": "D",
      "OwningOrgId": 204,
      "NetInvoiceFlag": false,
      "VersionType": "C",
      "OwningOrgName": "Vision Operations",
      "TaxClassificationMeaning": null,
      "ExemptionReasonMeaning": null,
      "FreightTerms": null,
      "FOB": null,
      "ApTermsId": null,
      "TermsEnabledFlag": true,
      "AmendRenderedFlag": "false",
      "DeleteRenderedFlag": "true",
      "ShipToLocationId": null,
      "CancelRenderedFlag": true,
      "CloseRenderedFlag": "false",
      "ApplyHoldRenderedFlag": "false",
      "RemoveHoldRenderedFlag": "false",
      "RevertRenderedFlag": "false",
      "SignContractRenderedFlag": "false",
      "ServiceEnabledFlag": "false",
      "EstimatedAmount": 20000,
      "TaxAmount": 0,
      "LastUpdateDate": "2025-12-18T13:14:07+00:00",
      "LastUpdateLogin": "-1",
      "LastUpdatedBy": "FUSION",
      "VersionEnabledFlag": true,
      "SubmitRenderedFlag": "true",
      "CreatedBy": "CUSTOMER_CONTRACT_MANAGER_VISION_OPERATIONS",
      "CreationDate": "2010-04-05T00:00:00+00:00",
      "CurrencyConversionEnabledFlag": "Y",
      "LedgerCurrency": "USD",
      "BilltoLocationId": null,
      "StopApprovalRenderedFlag": "false",
      "ValidateContractRenderedFlag": "true",
      "AgreedAmount": null,
      "AgreementAmountLimit": null,
      "MinimumReleaseAmount": null,
      "EncumbranceLevel": null,
      "CarrierId": null,
      "CarrierName": null,
      "CloseReason": null,
      "CancelReason": null,
      "AuthoringPartyCode": null,
      "PCDFileName": null,
      "HoldReasonMeaning": null,
      "PrimaryPartyId": 1004,
      "OrigSystemId": 100000016732327,
      "OrigSystemReference": "1",
      "OrigSystemSourceCode": "OKCCOPY",
      "ItemSourceCode": "PRODUCT_MASTER",
      "StateTransitionFlowName": null,
      "StateTransitionFlowState": "DRAFT",
      "UserStatusCode": null,
      "AssigneeType": null,
      "AssigneeId": null,
      "Assignee": null,
      "CustomerPONumber": null,
      "ApprovalNote": null,
      "AccessLevel": "UPDATE",
      "ContractEditableFlag": "true",
      "TemplateFlag": false,
      "BillingSalesrepId": null,
      "BillingSalesrepName": null,
      "EnableManageSignature": "N",
      "ReopenEnabledFlag": false,
      "VersionDescription": null,
      "AllowTeamUserBUAccess": "true",
      "PriceList": null,
      "AdjustmentBasis": null,
      "CommitmentAmount": 0,
      "DiscountPercent": null,
      "AllowGrantContractType": "N",
      "PriceListName": null,
      "TrnCodeSetId": null,
      "HoldReasonCodeSetId": null,
      "WebServiceFlag": null,
      "TermsTemplateId": null,
      "ContractOwnerId": null,
      "Status": "Draft",
      "BuyOrSell_Meaning": "Sell",
      "AuthoringPartyMeaning": null,
      "InvOrgName": "Vision Operations",
      "Supplier": null,
      "SupplierSite": null,
      "ShipInvOrg": null,
      "RecvInvOrg": null,
      "Currency": "US Dollar",
      "UserStatusMeaning": null,
      "LegalEntityName": "Vision Operations",
      "ShipToOrgLocation": null,
      "BillToLocation": null,
      "AllowLinesFlag": true,
      "EnableElectronicSignFlag": false,
      "ContractTrueValue": null,
      "ShipToPartyId": null,
      "PricingStrategyId": null,
      "PricingStrategyName": null,
      "PricingSegmentCode": null,
      "PricingEffectivityDate": null,
      "ShipToPartyName": null,
      "ShipToPartySiteLocation": null,
      "CustomerPartyName": "Hilman and Associates",
      "TermsTemplateName": null,
      "TrxnExtensionId": null,
      "BillToAccountPartyId": 1004,
      "RenewalType": null,
      "UnderMigrationFlag": null,
      "TargetLineName": null,
      "TargetLineId": null,
      "TargetLineMajorVer": null,
      "ContractId": 100100069549037,
      "CorpCurrencyCode": null,
      "CurcyConvRateType": null,
      "PrimarySalesrepId": null,
      "AmendNoVersionFlag": false,
      "AutoSendForSignature": null,
      "PriceApplicationRule": null,
      "EsignTemplateId": null,
      "SignContract": null,
      "SendForSignature": null,
      "NonStandardClauseCount": "0",
      "CancelReasonSetCode": null,
      "CloseReasonSetCode": null,
      "HoldReasonSetCode": null,
      "ContractPuid": "KHDR-79",
      "EncumbranceLevelMeaning": null,
      "FOBMeaning": null,
      "FreightTermsMeaning": null,
      "TaxExemptionControlMeaning": "Standard",
      "SourceDocumentId": null,
      "SourceDocumentSystemCode": null,
      "SourceDocumentDisplayNumber": null,
      "ApTermsName": null,
      "RunContractExpertFlag": null,
      "DocumentType": "ECM_SELL",
      "ShareWithExternalPartyYn": "N",
      "BaseContractYN": "N",
      "SkipPDPFlag": null,
      "InterCompanyFlag": false,
      "InterProjectFlag": false,
      "LineClassCode": "PROJECT",
      "AiSummaryAttachInApprovalFlag": null,
      "AiSummaryGenerateDate": null,
      "AiSummaryPcdIncludedFlag": true,
      "AiSummaryRequestId": null,
      "AiSummaryRequestStatus": null,
      "AiSummaryRequestStatusMeaning": null,
      "SourceDocumentSystemMeaning": null,
      "ContractTermsSourceCode": null,
      "SimpleContractYn": null,
      "TermsAuthoringPartyCode": null,
      "AiAdvisorAgentFlag": null,
      "TermsAuthoringPartyMeaning": null,
      "ContractTermsSourceMeaning": null,
      "FulfillmentStatus": null,
      "FulfillmentStatusMeaning": null,
      "PoDocumentStyleDisplay": null,
      "PoDocumentStatusDisplay": null,
      "PoSupplierName": null,
      "PoHeaderId": null,
      "PoVersionId": null,
      "ProcessingId": null,
      "ShareInSupplierPortalRenderedFlag": false,
      "RedwoodFlag": null,
      "ExtractKeyTermsRenderedFlag": false,
      "PoDocumentNumber": null,
      "AiSummSubmittedBy": null,
      "AiSummSubmittedDate": null,
      "AiSummSubmittedByDispName": null,
      "SmartRedlineAgentTeamCode": null,
      "ContractConstant": "CONTRACT",
      "PoDocumentStatusCode": null,
      "FulfillmentChrId": null,
      "BillingControl": {
        "items": [
          {
            "BillingControlId": 100000016879734,
            "MajorVersion": 1,
            "RbsElementId": null,
            "BillingResource": null,
            "StartDate": "2010-04-05",
            "EndDate": null,
            "SoftLimitAmount": 20000,
            "HardLimitAmount": null,
            "ActiveFlag": true,
            "ExternalSourceKey": null,
            "ExternalReferenceKey": null,
            "@context": {
              "key": "100000016879734,1",
              "headers": {
                "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000478"
              },
              "links": [
                {
                  "rel": "self",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/BillingControl/100000016879734%2C1",
                  "name": "BillingControl",
                  "kind": "item"
                },
                {
                  "rel": "canonical",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/BillingControl/100000016879734%2C1",
                  "name": "BillingControl",
                  "kind": "item"
                },
                {
                  "rel": "parent",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037",
                  "name": "contracts",
                  "kind": "item"
                }
              ]
            }
          }
        ],
        "count": 1,
        "hasMore": false,
        "limit": 3,
        "offset": 0,
        "links": [
          {
            "rel": "self",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/BillingControl",
            "name": "BillingControl",
            "kind": "collection"
          }
        ]
      },
      "@context": {
        "key": "100100069549037",
        "headers": {
          "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000778"
        },
        "links": [
          {
            "rel": "self",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037",
            "name": "contracts",
            "kind": "item"
          },
          {
            "rel": "canonical",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037",
            "name": "contracts",
            "kind": "item"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/AiGenerateSummaryDocs",
            "name": "AiGenerateSummaryDocs",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/BillPlan",
            "name": "BillPlan",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/BillingControl",
            "name": "BillingControl",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractApprovalHistory",
            "name": "ContractApprovalHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractDocuments",
            "name": "ContractDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractEsignHistory",
            "name": "ContractEsignHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractHeaderFlexfieldVA",
            "name": "ContractHeaderFlexfieldVA",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractHeaderTranslation",
            "name": "ContractHeaderTranslation",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine",
            "name": "ContractLine",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractParty",
            "name": "ContractParty",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractStatusHistory",
            "name": "ContractStatusHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractTerms",
            "name": "ContractTerms",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ExternalSharedDocuments",
            "name": "ExternalSharedDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/InternalSharedDocuments",
            "name": "InternalSharedDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/Note",
            "name": "Note",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/RelatedDocument",
            "name": "RelatedDocument",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/RevenuePlan",
            "name": "RevenuePlan",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/SalesCredit",
            "name": "SalesCredit",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/Section",
            "name": "Section",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/SupportingDocuments",
            "name": "SupportingDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/UploadedRevisions",
            "name": "UploadedRevisions",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/contractKeyTermExtracts",
            "name": "contractKeyTermExtracts",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/smartActions",
            "name": "smartActions",
            "kind": "collection"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/validateContract",
            "name": "validateContract",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/createVersion",
            "name": "createVersion",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/revertContract",
            "name": "revertContract",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/sign",
            "name": "sign",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/submitForApproval",
            "name": "submitForApproval",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/downloadLatestContractDocument",
            "name": "downloadLatestContractDocument",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/classifyKeyTerms",
            "name": "classifyKeyTerms",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/stopApproval",
            "name": "stopApproval",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/getUpdatableAttributes",
            "name": "getUpdatableAttributes",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/reopen",
            "name": "reopen",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/getAllInternalPartyContacts",
            "name": "getAllInternalPartyContacts",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/getAllExternalPartyContacts",
            "name": "getAllExternalPartyContacts",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/downloadAIContractSummaryPDF",
            "name": "downloadAIContractSummaryPDF",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/isContractRedwoodCompatible",
            "name": "isContractRedwoodCompatible",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/getDefaultTermsTemplate",
            "name": "getDefaultTermsTemplate",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/applyHold",
            "name": "applyHold",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/removeHold",
            "name": "removeHold",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/cancel",
            "name": "cancel",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/duplicate",
            "name": "duplicate",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/preview",
            "name": "preview",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/close",
            "name": "close",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/amend",
            "name": "amend",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/extractKeyTermValues",
            "name": "extractKeyTermValues",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/downloadContractTermsInWord",
            "name": "downloadContractTermsInWord",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/generateContractSummary",
            "name": "generateContractSummary",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/shareInSupplierPortal",
            "name": "shareInSupplierPortal",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/createContractEnvelopeForSignature",
            "name": "createContractEnvelopeForSignature",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/manageContractEnvelopeStatus",
            "name": "manageContractEnvelopeStatus",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/manageContractSignatureEnvelope",
            "name": "manageContractSignatureEnvelope",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/removeContractTerms",
            "name": "removeContractTerms",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/getSignedContractEnvelopeHistoryUrl",
            "name": "getSignedContractEnvelopeHistoryUrl",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/addContractTermsStructured",
            "name": "addContractTermsStructured",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/addContractTermsAttachedDocument",
            "name": "addContractTermsAttachedDocument",
            "kind": "other"
          },
          {
            "rel": "enclosure",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/enclosure/AiSummary",
            "name": "AiSummary",
            "kind": "other"
          }
        ]
      }
    },
    {
      "Id": 100000013568241,
      "MajorVersion": 1,
      "ExternalSource": null,
      "ExternalKey": null,
      "InvConvRateTypeName": "Spot",
      "InvConvRateDateTypeName": "Transaction date",
      "OrgName": "Vision Operations",
      "OrgId": 204,
      "ContractTypeName": "Sell : Project lines",
      "ContractClass": "CONTRACT",
      "ContractTypeId": 104,
      "ContractNumber": "aPJB contract1 (VO)",
      "ContractNumberModifier": null,
      "Cognomen": null,
      "BuyOrSell": "S",
      "PartyId": 1004,
      "PartyName": "Hilman and Associates",
      "InvOrganizationId": 204,
      "StsCode": "DRAFT",
      "CurrencyCode": "USD",
      "StartDate": "2009-01-01",
      "EndDate": null,
      "TrnCode": null,
      "SupplierId": null,
      "SupplierSiteId": null,
      "InvConvRateType": "Spot",
      "InvConvRateDateType": "TRANSACTION",
      "InvConvRateDate": null,
      "InvTrxTypeId": 4,
      "InvTrxTypeName": null,
      "InvPrepayTrxTypeId": null,
      "InvPrepayTrxTypeName": null,
      "BillToAccountId": 1004,
      "BillToAccount": "Hilman and Associates",
      "BillToAccountNumber": "1004",
      "BillToSiteUseId": 1017,
      "BillToSiteUseLocation": "Tulsa (OPS)",
      "BillToAddress": "1230 East 60th Street South,OK",
      "ShipToAccountId": 1004,
      "ShipToAccount": "Hilman and Associates",
      "ShipToAccountNumber": "1004",
      "ShipToSiteUseId": 1018,
      "ShipToSiteUseLocation": "Tulsa (OPS)",
      "ShipToAddress": "1230 East 60th Street South,OK",
      "ShipToAccountDescription": "Hilman and Associates",
      "SoldToAccountId": 1004,
      "SoldToAccount": "Hilman and Associates",
      "SoldToAccountNumber": "1004",
      "SoldToSiteId": 1030,
      "SoldToNumber": "San Jose (OPS)",
      "SoldToAddress": "320 N First St,SAN JOSE, CA 95113",
      "SoldToAccountDescription": "Hilman and Associates",
      "ShipInvOrgId": 204,
      "RecvInvOrgId": null,
      "LegalEntityId": 204,
      "OutputTaxClassificationCode": "CST",
      "DateApproved": null,
      "DatetimeCancelled": null,
      "DateSigned": null,
      "DateTerminated": null,
      "TerminateCancelSource": null,
      "ContributionPercent": 1,
      "BillSequence": 1,
      "OverallRiskCode": null,
      "ShortDescription": null,
      "Description": "Contract with lines in draft status\n",
      "HoldReasonCode": null,
      "HoldUntilDate": null,
      "AmendmentEffectiveDate": null,
      "TaxExemptionControl": "S",
      "ExemptCertificateNumber": null,
      "ExemptReasonCode": null,
      "ProjectEnabledFlag": true,
      "OutputTaxSetId": 204,
      "PartyObjectType": "OKX_PARTY",
      "PrimaryLedgerId": 1,
      "CustomerPartyId": 1004,
      "CustomerPartySiteId": 1018,
      "GeneratedInvoiceStatus": "D",
      "OwningOrgId": 204,
      "NetInvoiceFlag": false,
      "VersionType": "C",
      "OwningOrgName": "Vision Operations",
      "TaxClassificationMeaning": "CST",
      "ExemptionReasonMeaning": null,
      "FreightTerms": null,
      "FOB": null,
      "ApTermsId": null,
      "TermsEnabledFlag": true,
      "AmendRenderedFlag": "false",
      "DeleteRenderedFlag": "true",
      "ShipToLocationId": null,
      "CancelRenderedFlag": true,
      "CloseRenderedFlag": "false",
      "ApplyHoldRenderedFlag": "false",
      "RemoveHoldRenderedFlag": "false",
      "RevertRenderedFlag": "false",
      "SignContractRenderedFlag": "false",
      "ServiceEnabledFlag": "false",
      "EstimatedAmount": 1000000,
      "TaxAmount": null,
      "LastUpdateDate": "2025-12-18T13:14:07+00:00",
      "LastUpdateLogin": "-1",
      "LastUpdatedBy": "FUSION",
      "VersionEnabledFlag": true,
      "SubmitRenderedFlag": "true",
      "CreatedBy": "OPERATIONS",
      "CreationDate": "2009-10-27T00:25:11+00:00",
      "CurrencyConversionEnabledFlag": "Y",
      "LedgerCurrency": "USD",
      "BilltoLocationId": null,
      "StopApprovalRenderedFlag": "false",
      "ValidateContractRenderedFlag": "true",
      "AgreedAmount": null,
      "AgreementAmountLimit": null,
      "MinimumReleaseAmount": null,
      "EncumbranceLevel": null,
      "CarrierId": null,
      "CarrierName": null,
      "CloseReason": null,
      "CancelReason": null,
      "AuthoringPartyCode": null,
      "PCDFileName": null,
      "HoldReasonMeaning": null,
      "PrimaryPartyId": 1004,
      "OrigSystemId": null,
      "OrigSystemReference": null,
      "OrigSystemSourceCode": null,
      "ItemSourceCode": "PRODUCT_MASTER",
      "StateTransitionFlowName": null,
      "StateTransitionFlowState": "DRAFT",
      "UserStatusCode": null,
      "AssigneeType": null,
      "AssigneeId": null,
      "Assignee": null,
      "CustomerPONumber": null,
      "ApprovalNote": null,
      "AccessLevel": "UPDATE",
      "ContractEditableFlag": "true",
      "TemplateFlag": false,
      "BillingSalesrepId": null,
      "BillingSalesrepName": null,
      "EnableManageSignature": "N",
      "ReopenEnabledFlag": false,
      "VersionDescription": null,
      "AllowTeamUserBUAccess": "true",
      "PriceList": null,
      "AdjustmentBasis": null,
      "CommitmentAmount": 0,
      "DiscountPercent": null,
      "AllowGrantContractType": "N",
      "PriceListName": null,
      "TrnCodeSetId": null,
      "HoldReasonCodeSetId": null,
      "WebServiceFlag": null,
      "TermsTemplateId": null,
      "ContractOwnerId": null,
      "Status": "Draft",
      "BuyOrSell_Meaning": "Sell",
      "AuthoringPartyMeaning": null,
      "InvOrgName": "Vision Operations",
      "Supplier": null,
      "SupplierSite": null,
      "ShipInvOrg": "Vision Operations",
      "RecvInvOrg": null,
      "Currency": "US Dollar",
      "UserStatusMeaning": null,
      "LegalEntityName": "Vision Operations",
      "ShipToOrgLocation": null,
      "BillToLocation": null,
      "AllowLinesFlag": true,
      "EnableElectronicSignFlag": false,
      "ContractTrueValue": null,
      "ShipToPartyId": null,
      "PricingStrategyId": null,
      "PricingStrategyName": null,
      "PricingSegmentCode": null,
      "PricingEffectivityDate": null,
      "ShipToPartyName": null,
      "ShipToPartySiteLocation": null,
      "CustomerPartyName": "Hilman and Associates",
      "TermsTemplateName": null,
      "TrxnExtensionId": null,
      "BillToAccountPartyId": 1004,
      "RenewalType": null,
      "UnderMigrationFlag": null,
      "TargetLineName": null,
      "TargetLineId": null,
      "TargetLineMajorVer": null,
      "ContractId": 100100069549043,
      "CorpCurrencyCode": null,
      "CurcyConvRateType": null,
      "PrimarySalesrepId": null,
      "AmendNoVersionFlag": false,
      "AutoSendForSignature": null,
      "PriceApplicationRule": null,
      "EsignTemplateId": null,
      "SignContract": null,
      "SendForSignature": null,
      "NonStandardClauseCount": "0",
      "CancelReasonSetCode": null,
      "CloseReasonSetCode": null,
      "HoldReasonSetCode": null,
      "ContractPuid": "KHDR-80",
      "EncumbranceLevelMeaning": null,
      "FOBMeaning": null,
      "FreightTermsMeaning": null,
      "TaxExemptionControlMeaning": "Standard",
      "SourceDocumentId": null,
      "SourceDocumentSystemCode": null,
      "SourceDocumentDisplayNumber": null,
      "ApTermsName": null,
      "RunContractExpertFlag": null,
      "DocumentType": "ECM_SELL",
      "ShareWithExternalPartyYn": "N",
      "BaseContractYN": "N",
      "SkipPDPFlag": null,
      "InterCompanyFlag": false,
      "InterProjectFlag": false,
      "LineClassCode": "PROJECT",
      "AiSummaryAttachInApprovalFlag": null,
      "AiSummaryGenerateDate": null,
      "AiSummaryPcdIncludedFlag": true,
      "AiSummaryRequestId": null,
      "AiSummaryRequestStatus": null,
      "AiSummaryRequestStatusMeaning": null,
      "SourceDocumentSystemMeaning": null,
      "ContractTermsSourceCode": null,
      "SimpleContractYn": null,
      "TermsAuthoringPartyCode": null,
      "AiAdvisorAgentFlag": null,
      "TermsAuthoringPartyMeaning": null,
      "ContractTermsSourceMeaning": null,
      "FulfillmentStatus": null,
      "FulfillmentStatusMeaning": null,
      "PoDocumentStyleDisplay": null,
      "PoDocumentStatusDisplay": null,
      "PoSupplierName": null,
      "PoHeaderId": null,
      "PoVersionId": null,
      "ProcessingId": null,
      "ShareInSupplierPortalRenderedFlag": false,
      "RedwoodFlag": null,
      "ExtractKeyTermsRenderedFlag": false,
      "PoDocumentNumber": null,
      "AiSummSubmittedBy": null,
      "AiSummSubmittedDate": null,
      "AiSummSubmittedByDispName": null,
      "SmartRedlineAgentTeamCode": null,
      "ContractConstant": "CONTRACT",
      "PoDocumentStatusCode": null,
      "FulfillmentChrId": null,
      "BillingControl": {
        "items": [
          {
            "BillingControlId": 100000013568246,
            "MajorVersion": 1,
            "RbsElementId": null,
            "BillingResource": null,
            "StartDate": "2009-01-01",
            "EndDate": null,
            "SoftLimitAmount": 1000000,
            "HardLimitAmount": null,
            "ActiveFlag": true,
            "ExternalSourceKey": null,
            "ExternalReferenceKey": null,
            "@context": {
              "key": "100000013568246,1",
              "headers": {
                "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000978"
              },
              "links": [
                {
                  "rel": "self",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/BillingControl/100000013568246%2C1",
                  "name": "BillingControl",
                  "kind": "item"
                },
                {
                  "rel": "canonical",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/BillingControl/100000013568246%2C1",
                  "name": "BillingControl",
                  "kind": "item"
                },
                {
                  "rel": "parent",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043",
                  "name": "contracts",
                  "kind": "item"
                }
              ]
            }
          }
        ],
        "count": 1,
        "hasMore": false,
        "limit": 3,
        "offset": 0,
        "links": [
          {
            "rel": "self",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/BillingControl",
            "name": "BillingControl",
            "kind": "collection"
          }
        ]
      },
      "@context": {
        "key": "100100069549043",
        "headers": {
          "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000001B78"
        },
        "links": [
          {
            "rel": "self",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043",
            "name": "contracts",
            "kind": "item"
          },
          {
            "rel": "canonical",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043",
            "name": "contracts",
            "kind": "item"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/AiGenerateSummaryDocs",
            "name": "AiGenerateSummaryDocs",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/BillPlan",
            "name": "BillPlan",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/BillingControl",
            "name": "BillingControl",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractApprovalHistory",
            "name": "ContractApprovalHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractDocuments",
            "name": "ContractDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractEsignHistory",
            "name": "ContractEsignHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractHeaderFlexfieldVA",
            "name": "ContractHeaderFlexfieldVA",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractHeaderTranslation",
            "name": "ContractHeaderTranslation",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine",
            "name": "ContractLine",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractParty",
            "name": "ContractParty",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractStatusHistory",
            "name": "ContractStatusHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractTerms",
            "name": "ContractTerms",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ExternalSharedDocuments",
            "name": "ExternalSharedDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/InternalSharedDocuments",
            "name": "InternalSharedDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/Note",
            "name": "Note",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/RelatedDocument",
            "name": "RelatedDocument",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/RevenuePlan",
            "name": "RevenuePlan",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/SalesCredit",
            "name": "SalesCredit",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/Section",
            "name": "Section",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/SupportingDocuments",
            "name": "SupportingDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/UploadedRevisions",
            "name": "UploadedRevisions",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/contractKeyTermExtracts",
            "name": "contractKeyTermExtracts",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/smartActions",
            "name": "smartActions",
            "kind": "collection"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/validateContract",
            "name": "validateContract",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/createVersion",
            "name": "createVersion",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/revertContract",
            "name": "revertContract",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/sign",
            "name": "sign",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/submitForApproval",
            "name": "submitForApproval",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/downloadLatestContractDocument",
            "name": "downloadLatestContractDocument",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/classifyKeyTerms",
            "name": "classifyKeyTerms",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/stopApproval",
            "name": "stopApproval",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/getUpdatableAttributes",
            "name": "getUpdatableAttributes",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/reopen",
            "name": "reopen",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/getAllInternalPartyContacts",
            "name": "getAllInternalPartyContacts",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/getAllExternalPartyContacts",
            "name": "getAllExternalPartyContacts",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/downloadAIContractSummaryPDF",
            "name": "downloadAIContractSummaryPDF",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/isContractRedwoodCompatible",
            "name": "isContractRedwoodCompatible",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/getDefaultTermsTemplate",
            "name": "getDefaultTermsTemplate",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/applyHold",
            "name": "applyHold",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/removeHold",
            "name": "removeHold",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/cancel",
            "name": "cancel",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/duplicate",
            "name": "duplicate",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/preview",
            "name": "preview",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/close",
            "name": "close",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/amend",
            "name": "amend",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/extractKeyTermValues",
            "name": "extractKeyTermValues",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/downloadContractTermsInWord",
            "name": "downloadContractTermsInWord",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/generateContractSummary",
            "name": "generateContractSummary",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/shareInSupplierPortal",
            "name": "shareInSupplierPortal",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/createContractEnvelopeForSignature",
            "name": "createContractEnvelopeForSignature",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/manageContractEnvelopeStatus",
            "name": "manageContractEnvelopeStatus",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/manageContractSignatureEnvelope",
            "name": "manageContractSignatureEnvelope",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/removeContractTerms",
            "name": "removeContractTerms",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/getSignedContractEnvelopeHistoryUrl",
            "name": "getSignedContractEnvelopeHistoryUrl",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/addContractTermsStructured",
            "name": "addContractTermsStructured",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/addContractTermsAttachedDocument",
            "name": "addContractTermsAttachedDocument",
            "kind": "other"
          },
          {
            "rel": "enclosure",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/enclosure/AiSummary",
            "name": "AiSummary",
            "kind": "other"
          }
        ]
      }
    },
    {
      "Id": 100010027900177,
      "MajorVersion": 1,
      "ExternalSource": null,
      "ExternalKey": null,
      "InvConvRateTypeName": "Spot",
      "InvConvRateDateTypeName": "Transaction date",
      "OrgName": "Vision Operations",
      "OrgId": 204,
      "ContractTypeName": "Time and Material Controlled",
      "ContractClass": "CONTRACT",
      "ContractTypeId": 2006,
      "ContractNumber": "Z_PJB_QA_Rate_MC_new",
      "ContractNumberModifier": null,
      "Cognomen": "Z_PJB_QA_Rate_MC",
      "BuyOrSell": "S",
      "PartyId": 1004,
      "PartyName": "Hilman and Associates",
      "InvOrganizationId": null,
      "StsCode": "EXPIRED",
      "CurrencyCode": "USD",
      "StartDate": "2009-01-01",
      "EndDate": "2010-12-31",
      "TrnCode": null,
      "SupplierId": null,
      "SupplierSiteId": null,
      "InvConvRateType": "Spot",
      "InvConvRateDateType": "TRANSACTION",
      "InvConvRateDate": null,
      "InvTrxTypeId": 4,
      "InvTrxTypeName": null,
      "InvPrepayTrxTypeId": null,
      "InvPrepayTrxTypeName": null,
      "BillToAccountId": 1004,
      "BillToAccount": "Hilman and Associates",
      "BillToAccountNumber": "1004",
      "BillToSiteUseId": 1017,
      "BillToSiteUseLocation": "Tulsa (OPS)",
      "BillToAddress": "1230 East 60th Street South,OK",
      "ShipToAccountId": 1004,
      "ShipToAccount": "Hilman and Associates",
      "ShipToAccountNumber": "1004",
      "ShipToSiteUseId": 1018,
      "ShipToSiteUseLocation": "Tulsa (OPS)",
      "ShipToAddress": "1230 East 60th Street South,OK",
      "ShipToAccountDescription": "Hilman and Associates",
      "SoldToAccountId": 1004,
      "SoldToAccount": "Hilman and Associates",
      "SoldToAccountNumber": "1004",
      "SoldToSiteId": 1030,
      "SoldToNumber": "San Jose (OPS)",
      "SoldToAddress": "320 N First St,SAN JOSE, CA 95113",
      "SoldToAccountDescription": "Hilman and Associates",
      "ShipInvOrgId": null,
      "RecvInvOrgId": null,
      "LegalEntityId": 204,
      "OutputTaxClassificationCode": "TX - Sales Tax",
      "DateApproved": "2009-10-27",
      "DatetimeCancelled": null,
      "DateSigned": "2009-10-27",
      "DateTerminated": null,
      "TerminateCancelSource": null,
      "ContributionPercent": 1,
      "BillSequence": 1,
      "OverallRiskCode": null,
      "ShortDescription": null,
      "Description": null,
      "HoldReasonCode": null,
      "HoldUntilDate": null,
      "AmendmentEffectiveDate": null,
      "TaxExemptionControl": "S",
      "ExemptCertificateNumber": null,
      "ExemptReasonCode": null,
      "ProjectEnabledFlag": true,
      "OutputTaxSetId": 204,
      "PartyObjectType": "OKX_PARTY",
      "PrimaryLedgerId": 1,
      "CustomerPartyId": 1004,
      "CustomerPartySiteId": 1018,
      "GeneratedInvoiceStatus": "D",
      "OwningOrgId": 204,
      "NetInvoiceFlag": false,
      "VersionType": "C",
      "OwningOrgName": "Vision Operations",
      "TaxClassificationMeaning": "TX - Sales Tax",
      "ExemptionReasonMeaning": null,
      "FreightTerms": null,
      "FOB": null,
      "ApTermsId": null,
      "TermsEnabledFlag": false,
      "AmendRenderedFlag": "true",
      "DeleteRenderedFlag": "false",
      "ShipToLocationId": null,
      "CancelRenderedFlag": false,
      "CloseRenderedFlag": "true",
      "ApplyHoldRenderedFlag": "true",
      "RemoveHoldRenderedFlag": "false",
      "RevertRenderedFlag": "false",
      "SignContractRenderedFlag": "false",
      "ServiceEnabledFlag": "false",
      "EstimatedAmount": 20000,
      "TaxAmount": 0,
      "LastUpdateDate": "2025-12-18T13:14:07+00:00",
      "LastUpdateLogin": "6A199CBF1E870F01E0534180F50A7C56",
      "LastUpdatedBy": "FUSION",
      "VersionEnabledFlag": false,
      "SubmitRenderedFlag": "false",
      "CreatedBy": "OPERATIONS",
      "CreationDate": "2009-10-27T00:00:00+00:00",
      "CurrencyConversionEnabledFlag": "Y",
      "LedgerCurrency": "USD",
      "BilltoLocationId": null,
      "StopApprovalRenderedFlag": "false",
      "ValidateContractRenderedFlag": "true",
      "AgreedAmount": null,
      "AgreementAmountLimit": null,
      "MinimumReleaseAmount": null,
      "EncumbranceLevel": null,
      "CarrierId": null,
      "CarrierName": null,
      "CloseReason": null,
      "CancelReason": null,
      "AuthoringPartyCode": null,
      "PCDFileName": null,
      "HoldReasonMeaning": null,
      "PrimaryPartyId": 1004,
      "OrigSystemId": 100000012640182,
      "OrigSystemReference": "1",
      "OrigSystemSourceCode": "OKCCOPY",
      "ItemSourceCode": "PRODUCT_MASTER",
      "StateTransitionFlowName": null,
      "StateTransitionFlowState": "EXPIRED",
      "UserStatusCode": null,
      "AssigneeType": null,
      "AssigneeId": null,
      "Assignee": null,
      "CustomerPONumber": null,
      "ApprovalNote": null,
      "AccessLevel": "UPDATE",
      "ContractEditableFlag": "true",
      "TemplateFlag": false,
      "BillingSalesrepId": null,
      "BillingSalesrepName": null,
      "EnableManageSignature": "N",
      "ReopenEnabledFlag": false,
      "VersionDescription": null,
      "AllowTeamUserBUAccess": "true",
      "PriceList": null,
      "AdjustmentBasis": null,
      "CommitmentAmount": 0,
      "DiscountPercent": null,
      "AllowGrantContractType": "N",
      "PriceListName": null,
      "TrnCodeSetId": null,
      "HoldReasonCodeSetId": null,
      "WebServiceFlag": null,
      "TermsTemplateId": null,
      "ContractOwnerId": null,
      "Status": "Expired",
      "BuyOrSell_Meaning": "Sell",
      "AuthoringPartyMeaning": null,
      "InvOrgName": null,
      "Supplier": null,
      "SupplierSite": null,
      "ShipInvOrg": null,
      "RecvInvOrg": null,
      "Currency": "US Dollar",
      "UserStatusMeaning": null,
      "LegalEntityName": "Vision Operations",
      "ShipToOrgLocation": null,
      "BillToLocation": null,
      "AllowLinesFlag": true,
      "EnableElectronicSignFlag": false,
      "ContractTrueValue": null,
      "ShipToPartyId": null,
      "PricingStrategyId": null,
      "PricingStrategyName": null,
      "PricingSegmentCode": null,
      "PricingEffectivityDate": null,
      "ShipToPartyName": null,
      "ShipToPartySiteLocation": null,
      "CustomerPartyName": "Hilman and Associates",
      "TermsTemplateName": null,
      "TrxnExtensionId": null,
      "BillToAccountPartyId": 1004,
      "RenewalType": null,
      "UnderMigrationFlag": null,
      "TargetLineName": null,
      "TargetLineId": null,
      "TargetLineMajorVer": null,
      "ContractId": 100100069549044,
      "CorpCurrencyCode": null,
      "CurcyConvRateType": null,
      "PrimarySalesrepId": null,
      "AmendNoVersionFlag": false,
      "AutoSendForSignature": null,
      "PriceApplicationRule": null,
      "EsignTemplateId": null,
      "SignContract": null,
      "SendForSignature": null,
      "NonStandardClauseCount": "0",
      "CancelReasonSetCode": null,
      "CloseReasonSetCode": null,
      "HoldReasonSetCode": null,
      "ContractPuid": "KHDR-81",
      "EncumbranceLevelMeaning": null,
      "FOBMeaning": null,
      "FreightTermsMeaning": null,
      "TaxExemptionControlMeaning": "Standard",
      "SourceDocumentId": null,
      "SourceDocumentSystemCode": null,
      "SourceDocumentDisplayNumber": null,
      "ApTermsName": null,
      "RunContractExpertFlag": null,
      "DocumentType": "ECM_SELL",
      "ShareWithExternalPartyYn": "N",
      "BaseContractYN": "N",
      "SkipPDPFlag": null,
      "InterCompanyFlag": false,
      "InterProjectFlag": false,
      "LineClassCode": "PROJECT",
      "AiSummaryAttachInApprovalFlag": null,
      "AiSummaryGenerateDate": null,
      "AiSummaryPcdIncludedFlag": true,
      "AiSummaryRequestId": null,
      "AiSummaryRequestStatus": null,
      "AiSummaryRequestStatusMeaning": null,
      "SourceDocumentSystemMeaning": null,
      "ContractTermsSourceCode": null,
      "SimpleContractYn": null,
      "TermsAuthoringPartyCode": null,
      "AiAdvisorAgentFlag": null,
      "TermsAuthoringPartyMeaning": null,
      "ContractTermsSourceMeaning": null,
      "FulfillmentStatus": null,
      "FulfillmentStatusMeaning": null,
      "PoDocumentStyleDisplay": null,
      "PoDocumentStatusDisplay": null,
      "PoSupplierName": null,
      "PoHeaderId": null,
      "PoVersionId": null,
      "ProcessingId": null,
      "ShareInSupplierPortalRenderedFlag": false,
      "RedwoodFlag": null,
      "ExtractKeyTermsRenderedFlag": false,
      "PoDocumentNumber": null,
      "AiSummSubmittedBy": null,
      "AiSummSubmittedDate": null,
      "AiSummSubmittedByDispName": null,
      "SmartRedlineAgentTeamCode": null,
      "ContractConstant": "CONTRACT",
      "PoDocumentStatusCode": null,
      "FulfillmentChrId": null,
      "BillingControl": {
        "items": [
          {
            "BillingControlId": 100000013634007,
            "MajorVersion": 1,
            "RbsElementId": null,
            "BillingResource": null,
            "StartDate": "2009-01-01",
            "EndDate": "2010-12-31",
            "SoftLimitAmount": null,
            "HardLimitAmount": 20000,
            "ActiveFlag": true,
            "ExternalSourceKey": null,
            "ExternalReferenceKey": null,
            "@context": {
              "key": "100000013634007,1",
              "headers": {
                "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000478"
              },
              "links": [
                {
                  "rel": "self",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/BillingControl/100000013634007%2C1",
                  "name": "BillingControl",
                  "kind": "item"
                },
                {
                  "rel": "canonical",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/BillingControl/100000013634007%2C1",
                  "name": "BillingControl",
                  "kind": "item"
                },
                {
                  "rel": "parent",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044",
                  "name": "contracts",
                  "kind": "item"
                }
              ]
            }
          }
        ],
        "count": 1,
        "hasMore": false,
        "limit": 3,
        "offset": 0,
        "links": [
          {
            "rel": "self",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/BillingControl",
            "name": "BillingControl",
            "kind": "collection"
          }
        ]
      },
      "@context": {
        "key": "100100069549044",
        "headers": {
          "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000001578"
        },
        "links": [
          {
            "rel": "self",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044",
            "name": "contracts",
            "kind": "item"
          },
          {
            "rel": "canonical",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044",
            "name": "contracts",
            "kind": "item"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/AiGenerateSummaryDocs",
            "name": "AiGenerateSummaryDocs",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/BillPlan",
            "name": "BillPlan",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/BillingControl",
            "name": "BillingControl",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/ContractApprovalHistory",
            "name": "ContractApprovalHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/ContractDocuments",
            "name": "ContractDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/ContractEsignHistory",
            "name": "ContractEsignHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/ContractHeaderFlexfieldVA",
            "name": "ContractHeaderFlexfieldVA",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/ContractHeaderTranslation",
            "name": "ContractHeaderTranslation",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/ContractLine",
            "name": "ContractLine",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/ContractParty",
            "name": "ContractParty",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/ContractStatusHistory",
            "name": "ContractStatusHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/ContractTerms",
            "name": "ContractTerms",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/ExternalSharedDocuments",
            "name": "ExternalSharedDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/InternalSharedDocuments",
            "name": "InternalSharedDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/Note",
            "name": "Note",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/RelatedDocument",
            "name": "RelatedDocument",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/RevenuePlan",
            "name": "RevenuePlan",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/SalesCredit",
            "name": "SalesCredit",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/Section",
            "name": "Section",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/SupportingDocuments",
            "name": "SupportingDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/UploadedRevisions",
            "name": "UploadedRevisions",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/contractKeyTermExtracts",
            "name": "contractKeyTermExtracts",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/child/smartActions",
            "name": "smartActions",
            "kind": "collection"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/validateContract",
            "name": "validateContract",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/createVersion",
            "name": "createVersion",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/revertContract",
            "name": "revertContract",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/sign",
            "name": "sign",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/submitForApproval",
            "name": "submitForApproval",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/downloadLatestContractDocument",
            "name": "downloadLatestContractDocument",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/classifyKeyTerms",
            "name": "classifyKeyTerms",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/stopApproval",
            "name": "stopApproval",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/getUpdatableAttributes",
            "name": "getUpdatableAttributes",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/reopen",
            "name": "reopen",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/getAllInternalPartyContacts",
            "name": "getAllInternalPartyContacts",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/getAllExternalPartyContacts",
            "name": "getAllExternalPartyContacts",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/downloadAIContractSummaryPDF",
            "name": "downloadAIContractSummaryPDF",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/isContractRedwoodCompatible",
            "name": "isContractRedwoodCompatible",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/getDefaultTermsTemplate",
            "name": "getDefaultTermsTemplate",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/applyHold",
            "name": "applyHold",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/removeHold",
            "name": "removeHold",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/cancel",
            "name": "cancel",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/duplicate",
            "name": "duplicate",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/preview",
            "name": "preview",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/close",
            "name": "close",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/amend",
            "name": "amend",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/extractKeyTermValues",
            "name": "extractKeyTermValues",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/downloadContractTermsInWord",
            "name": "downloadContractTermsInWord",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/generateContractSummary",
            "name": "generateContractSummary",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/shareInSupplierPortal",
            "name": "shareInSupplierPortal",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/createContractEnvelopeForSignature",
            "name": "createContractEnvelopeForSignature",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/manageContractEnvelopeStatus",
            "name": "manageContractEnvelopeStatus",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/manageContractSignatureEnvelope",
            "name": "manageContractSignatureEnvelope",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/removeContractTerms",
            "name": "removeContractTerms",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/getSignedContractEnvelopeHistoryUrl",
            "name": "getSignedContractEnvelopeHistoryUrl",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/addContractTermsStructured",
            "name": "addContractTermsStructured",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/action/addContractTermsAttachedDocument",
            "name": "addContractTermsAttachedDocument",
            "kind": "other"
          },
          {
            "rel": "enclosure",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549044/enclosure/AiSummary",
            "name": "AiSummary",
            "kind": "other"
          }
        ]
      }
    }
  ],
  "count": 3,
  "hasMore": true,
  "limit": 3,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts",
      "name": "contracts",
      "kind": "collection"
    }
  ]
}
Back to Top